Toolkits
Fetch multiple toolkits
Retrieves a comprehensive list of toolkits of their latest versions that are available to the authenticated project. Toolkits represent integration points with external services and applications, each containing a collection of tools and triggers. This endpoint supports filtering by category and management type, as well as different sorting options. You can optionally specify a list of toolkit slugs to fetch specific toolkits.
POST
/
api
/
v3
/
toolkits
/
multi
Fetch multiple toolkits
import requests
url = "https://backend.composio.dev/api/v3/toolkits/multi"
payload = {
"toolkits": ["github", "slack", "gmail"],
"category": "productivity",
"limit": 123,
"cursor": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
toolkits: ['github', 'slack', 'gmail'],
category: 'productivity',
limit: 123,
cursor: '<string>'
})
};
fetch('https://backend.composio.dev/api/v3/toolkits/multi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://backend.composio.dev/api/v3/toolkits/multi \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"toolkits": [
"github",
"slack",
"gmail"
],
"category": "productivity",
"limit": 123,
"cursor": "<string>"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3/toolkits/multi"
payload := strings.NewReader("{\n \"toolkits\": [\n \"github\",\n \"slack\",\n \"gmail\"\n ],\n \"category\": \"productivity\",\n \"limit\": 123,\n \"cursor\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://backend.composio.dev/api/v3/toolkits/multi")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"toolkits\": [\n \"github\",\n \"slack\",\n \"gmail\"\n ],\n \"category\": \"productivity\",\n \"limit\": 123,\n \"cursor\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3/toolkits/multi");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"toolkits\": [\n \"github\",\n \"slack\",\n \"gmail\"\n ],\n \"category\": \"productivity\",\n \"limit\": 123,\n \"cursor\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"slug": "github",
"name": "GitHub",
"type": "native",
"is_local_toolkit": false,
"deprecated": {
"toolkitId": "550e8400-e29b-41d4-a716-446655440000"
},
"meta": {
"created_at": "2023-01-15T09:30:00.000Z",
"updated_at": "2023-05-20T14:45:00.000Z",
"description": "Integrate with GitHub repositories, issues, pull requests, and more.",
"logo": "https://assets.composio.dev/logos/github.png",
"categories": [
{
"id": "developer-tools",
"name": "Developer Tools"
},
{
"id": "productivity",
"name": "Productivity"
}
],
"triggers_count": 5,
"tools_count": 12,
"version": "20250905_00",
"app_url": "https://github.com"
},
"instant": {
"supported": true
},
"access": "all",
"auth_schemes": [
"oauth2",
"api_key"
],
"composio_managed_auth_schemes": [
"oauth2"
],
"no_auth": false,
"auth_guide_url": "https://composio.dev/auth/github"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
Body
application/json
Body parameters for filtering and sorting toolkits
Fetch multiple toolkits
import requests
url = "https://backend.composio.dev/api/v3/toolkits/multi"
payload = {
"toolkits": ["github", "slack", "gmail"],
"category": "productivity",
"limit": 123,
"cursor": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
toolkits: ['github', 'slack', 'gmail'],
category: 'productivity',
limit: 123,
cursor: '<string>'
})
};
fetch('https://backend.composio.dev/api/v3/toolkits/multi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://backend.composio.dev/api/v3/toolkits/multi \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"toolkits": [
"github",
"slack",
"gmail"
],
"category": "productivity",
"limit": 123,
"cursor": "<string>"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3/toolkits/multi"
payload := strings.NewReader("{\n \"toolkits\": [\n \"github\",\n \"slack\",\n \"gmail\"\n ],\n \"category\": \"productivity\",\n \"limit\": 123,\n \"cursor\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://backend.composio.dev/api/v3/toolkits/multi")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"toolkits\": [\n \"github\",\n \"slack\",\n \"gmail\"\n ],\n \"category\": \"productivity\",\n \"limit\": 123,\n \"cursor\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3/toolkits/multi");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"toolkits\": [\n \"github\",\n \"slack\",\n \"gmail\"\n ],\n \"category\": \"productivity\",\n \"limit\": 123,\n \"cursor\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"slug": "github",
"name": "GitHub",
"type": "native",
"is_local_toolkit": false,
"deprecated": {
"toolkitId": "550e8400-e29b-41d4-a716-446655440000"
},
"meta": {
"created_at": "2023-01-15T09:30:00.000Z",
"updated_at": "2023-05-20T14:45:00.000Z",
"description": "Integrate with GitHub repositories, issues, pull requests, and more.",
"logo": "https://assets.composio.dev/logos/github.png",
"categories": [
{
"id": "developer-tools",
"name": "Developer Tools"
},
{
"id": "productivity",
"name": "Productivity"
}
],
"triggers_count": 5,
"tools_count": 12,
"version": "20250905_00",
"app_url": "https://github.com"
},
"instant": {
"supported": true
},
"access": "all",
"auth_schemes": [
"oauth2",
"api_key"
],
"composio_managed_auth_schemes": [
"oauth2"
],
"no_auth": false,
"auth_guide_url": "https://composio.dev/auth/github"
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}